Bug 1270843 - SalesForce importer issue
SalesForce importer issue
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Mac OS
unspecified Severity medium
: ---
: ---
Assigned To: Barry LaFond
Matus Makovy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 09:51 EDT by Matus Makovy
Modified: 2016-08-02 03:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:26:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2684 Major Closed SalesForce importer issue 2016-08-02 03:34 EDT

  None (edit)
Description Matus Makovy 2015-10-12 09:51:36 EDT
According to conversation in TEIID-3112 this is a Designer issue. If I understood correctly, it has been fixed in Teiid and now the changes have to be made in TD SF importer.

I have a VDB with Source model that is created via SalesForce importer and I am getting this error:

{quote}
Didn't understand relationship 'Opportunitys' in FROM part of query call. If you are attempting to use a custom relationship, be sure to append the '__r' after the custom relationship name. Please reference your WSDL or the describe call for the appropriate names
{quote}

when trying to submit this query:

{quote}
select distinct YEAR("Opportunity"."CloseDate") as "Opportunity_CloseDate1" from "SalesForceSource".Campaign AS "Campaign" LEFT OUTER JOIN "SalesForceSource".Opportunity AS "Opportunity" ON Campaign."Id" = Opportunity."CampaignId" order by YEAR("Opportunity"."CloseDate") ASC LIMIT 0 , 32
{quote}

It works without problems with dynamic VDB.
Comment 1 Barry LaFond 2015-12-07 08:26:13 EST
Using only JIRA now.  Marking as closed
Comment 2 JBoss JIRA Server 2015-12-07 12:58:12 EST
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2684 to Resolved
Comment 3 JBoss JIRA Server 2016-02-15 09:19:56 EST
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2684 to Reopened
Comment 4 JBoss JIRA Server 2016-04-26 15:09:48 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2684 to Resolved
Comment 5 JBoss JIRA Server 2016-08-02 03:34:28 EDT
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2684 to Closed

Note You need to log in before you can comment on or make changes to this bug.